From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-963350-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id 2EEDA139694
	for <garchives@archives.gentoo.org>; Mon, 24 Jul 2017 19:04:12 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id 28128E0E36;
	Mon, 24 Jul 2017 19:04:04 +0000 (UTC)
Received: from smtp.gentoo.org (smtp.gentoo.org [140.211.166.183])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id 02BE3E0E36
	for <gentoo-commits@lists.gentoo.org>; Mon, 24 Jul 2017 19:04:03 +0000 (UTC)
Received: from oystercatcher.gentoo.org (oystercatcher.gentoo.org [148.251.78.52])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id 1B28334182F
	for <gentoo-commits@lists.gentoo.org>; Mon, 24 Jul 2017 19:04:03 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id 6487674DC
	for <gentoo-commits@lists.gentoo.org>; Mon, 24 Jul 2017 19:04:00 +0000 (UTC)
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Michał Górny" <mgorny@gentoo.org>
Message-ID: <1500923028.378cdc1215e43c02a03a0bbd7ab907611fc75af9.mgorny@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-libs/llvm-libunwind/
X-VCS-Repository: repo/gentoo
X-VCS-Files: sys-libs/llvm-libunwind/llvm-libunwind-5.0.9999.ebuild
X-VCS-Directories: sys-libs/llvm-libunwind/
X-VCS-Committer: mgorny
X-VCS-Committer-Name: Michał Górny
X-VCS-Revision: 378cdc1215e43c02a03a0bbd7ab907611fc75af9
X-VCS-Branch: master
Date: Mon, 24 Jul 2017 19:04:00 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Archives-Salt: 26c888bc-033f-4850-b1a3-a14b803c1ae3
X-Archives-Hash: 065e03303866f2269ab4671a28dcf1f1

commit:     378cdc1215e43c02a03a0bbd7ab907611fc75af9
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 23 16:50:16 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jul 24 19:03:48 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=378cdc12

sys-libs/llvm-libunwind: Branch for 5.0.0 release

 .../llvm-libunwind/llvm-libunwind-5.0.9999.ebuild  | 47 ++++++++++++++++++++++
 1 file changed, 47 insertions(+)

diff --git a/sys-libs/llvm-libunwind/llvm-libunwind-5.0.9999.ebuild b/sys-libs/llvm-libunwind/llvm-libunwind-5.0.9999.ebuild
new file mode 100644
index 00000000000..fc8c13fc44b
--- /dev/null
+++ b/sys-libs/llvm-libunwind/llvm-libunwind-5.0.9999.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+: ${CMAKE_MAKEFILE_GENERATOR:=ninja}
+# (needed due to CMAKE_BUILD_TYPE != Gentoo)
+CMAKE_MIN_VERSION=3.7.0-r1
+inherit cmake-multilib git-r3 llvm
+
+DESCRIPTION="C++ runtime stack unwinder from LLVM"
+HOMEPAGE="https://github.com/llvm-mirror/libunwind"
+SRC_URI=""
+EGIT_REPO_URI="https://git.llvm.org/git/libunwind.git
+	https://github.com/llvm-mirror/libunwind.git"
+EGIT_BRANCH="release_50"
+
+LICENSE="|| ( UoI-NCSA MIT )"
+SLOT="0"
+KEYWORDS=""
+IUSE="debug +static-libs"
+
+RDEPEND="!sys-libs/libunwind"
+# LLVM 4 required for llvm-config --cmakedir
+DEPEND=">=sys-devel/llvm-4"
+
+# least intrusive of all
+CMAKE_BUILD_TYPE=RelWithDebInfo
+
+multilib_src_configure() {
+	local libdir=$(get_libdir)
+
+	local mycmakeargs=(
+		-DLLVM_LIBDIR_SUFFIX=${libdir#lib}
+		-DLIBUNWIND_ENABLE_ASSERTIONS=$(usex debug)
+		-DLIBUNWIND_ENABLE_STATIC=$(usex static-libs)
+	)
+
+	cmake-utils_src_configure
+}
+
+multilib_src_install() {
+	cmake-utils_src_install
+
+	# install headers like sys-libs/libunwind
+	doheader "${S}"/include/*.h
+}